Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_zdf.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_zdf.F90	(revision 8564)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_zdf.F90	(revision 8565)
@@ -144,5 +144,5 @@
 
       ! --- diag error on heat diffusion - PART 1 --- !
-      DO ji = 1, nidx
+      DO ji = 1, npti
          zq_ini(ji) = ( SUM( e_i_1d(ji,1:nlay_i) ) * h_i_1d(ji) * r1_nlay_i +  &
             &           SUM( e_s_1d(ji,1:nlay_s) ) * h_s_1d(ji) * r1_nlay_s ) 
@@ -152,5 +152,5 @@
       ! 1) Initialization
       !------------------
-      DO ji = 1, nidx
+      DO ji = 1, npti
          isnow(ji)= 1._wp - MAX( 0._wp , SIGN(1._wp, - h_s_1d(ji) ) )  ! is there snow or not
          ! layer thickness
@@ -159,17 +159,17 @@
       END DO
       !
-      WHERE( zh_i(1:nidx) >= epsi10 )   ;   z1_h_i(1:nidx) = 1._wp / zh_i(1:nidx)
-      ELSEWHERE                         ;   z1_h_i(1:nidx) = 0._wp
+      WHERE( zh_i(1:npti) >= epsi10 )   ;   z1_h_i(1:npti) = 1._wp / zh_i(1:npti)
+      ELSEWHERE                         ;   z1_h_i(1:npti) = 0._wp
       END WHERE
 
-      WHERE( zh_s(1:nidx) >= epsi10 )   ;   z1_h_s(1:nidx) = 1._wp / zh_s(1:nidx)
-      ELSEWHERE                         ;   z1_h_s(1:nidx) = 0._wp
+      WHERE( zh_s(1:npti) >= epsi10 )   ;   z1_h_s(1:npti) = 1._wp / zh_s(1:npti)
+      ELSEWHERE                         ;   z1_h_s(1:npti) = 0._wp
       END WHERE
       !
       ! temperatures
-      ztsub  (1:nidx)   = t_su_1d(1:nidx)  ! temperature at the previous iteration
-      ztsold (1:nidx,:) = t_s_1d(1:nidx,:)   ! Old snow temperature
-      ztiold (1:nidx,:) = t_i_1d(1:nidx,:)   ! Old ice temperature
-      t_su_1d(1:nidx)   = MIN( t_su_1d(1:nidx), rt0 - ztsu_err )   ! necessary
+      ztsub  (1:npti)   = t_su_1d(1:npti)  ! temperature at the previous iteration
+      ztsold (1:npti,:) = t_s_1d(1:npti,:)   ! Old snow temperature
+      ztiold (1:npti,:) = t_i_1d(1:npti,:)   ! Old ice temperature
+      t_su_1d(1:npti)   = MIN( t_su_1d(1:npti), rt0 - ztsu_err )   ! necessary
       !
       !-------------
@@ -177,5 +177,5 @@
       !-------------
       z1_hsu = 1._wp / 0.1_wp ! threshold for the computation of i0
-      DO ji = 1, nidx
+      DO ji = 1, npti
          ! --- Computation of i0 --- !
          ! i0 describes the fraction of solar radiation which does not contribute
@@ -199,7 +199,7 @@
 
       ! --- Transmission/absorption of solar radiation in the ice --- !
-      zradtr_s(1:nidx,0) = zftrice(1:nidx)
+      zradtr_s(1:npti,0) = zftrice(1:npti)
       DO jk = 1, nlay_s
-         DO ji = 1, nidx
+         DO ji = 1, npti
             !                             ! radiation transmitted below the layer-th snow layer
             zradtr_s(ji,jk) = zradtr_s(ji,0) * EXP( - zraext_s * zh_s(ji) * REAL(jk) )
@@ -209,7 +209,7 @@
       END DO
          
-      zradtr_i(1:nidx,0) = zradtr_s(1:nidx,nlay_s) * isnow(1:nidx) + zftrice(1:nidx) * ( 1._wp - isnow(1:nidx) )
+      zradtr_i(1:npti,0) = zradtr_s(1:npti,nlay_s) * isnow(1:npti) + zftrice(1:npti) * ( 1._wp - isnow(1:npti) )
       DO jk = 1, nlay_i 
-         DO ji = 1, nidx
+         DO ji = 1, npti
             !                             ! radiation transmitted below the layer-th ice layer
             zradtr_i(ji,jk) = zradtr_i(ji,0) * EXP( - rn_kappa_i * zh_i(ji) * REAL(jk) )
@@ -219,5 +219,5 @@
       END DO
 
-      ftr_ice_1d(1:nidx) = zradtr_i(1:nidx,nlay_i)   ! record radiation transmitted below the ice
+      ftr_ice_1d(1:npti) = zradtr_i(1:npti,nlay_i)   ! record radiation transmitted below the ice
       !
       iconv    =  0          ! number of iterations
@@ -228,6 +228,6 @@
          iconv = iconv + 1
          !
-         ztib(1:nidx,:) = t_i_1d(1:nidx,:)
-         ztsb(1:nidx,:) = t_s_1d(1:nidx,:)
+         ztib(1:npti,:) = t_i_1d(1:npti,:)
+         ztsb(1:npti,:) = t_s_1d(1:npti,:)
          !
          !--------------------------------
@@ -236,10 +236,10 @@
          IF( ln_cndi_U64 ) THEN         !-- Untersteiner (1964) formula: k = k0 + beta.S/T
             !
-            DO ji = 1, nidx
+            DO ji = 1, npti
                ztcond_i(ji,0)      = rcdic + zbeta * sz_i_1d(ji,1)      / MIN( -epsi10, t_i_1d(ji,1) - rt0 )
                ztcond_i(ji,nlay_i) = rcdic + zbeta * sz_i_1d(ji,nlay_i) / MIN( -epsi10, t_bo_1d(ji)  - rt0 )
             END DO
             DO jk = 1, nlay_i-1
-               DO ji = 1, nidx
+               DO ji = 1, npti
                   ztcond_i(ji,jk) = rcdic + zbeta * 0.5_wp * ( sz_i_1d(ji,jk) + sz_i_1d(ji,jk+1) ) /  &
                      &                      MIN( -epsi10, 0.5_wp * (t_i_1d(ji,jk) + t_i_1d(ji,jk+1)) - rt0 )
@@ -249,5 +249,5 @@
          ELSEIF( ln_cndi_P07 ) THEN     !-- Pringle et al formula: k = k0 + beta1.S/T - beta2.T
             !
-            DO ji = 1, nidx
+            DO ji = 1, npti
                ztcond_i(ji,0)      = rcdic + 0.09_wp * sz_i_1d(ji,1) / MIN( -epsi10, t_i_1d(ji,1) - rt0 )  &
                   &                        - 0.011_wp * ( t_i_1d(ji,1) - rt0 )
@@ -256,5 +256,5 @@
             END DO
             DO jk = 1, nlay_i-1
-               DO ji = 1, nidx
+               DO ji = 1, npti
                   ztcond_i(ji,jk) = rcdic + 0.09_wp * 0.5_wp * ( sz_i_1d(ji,jk) + sz_i_1d(ji,jk+1) ) /          &
                      &                     MIN( -epsi10, 0.5_wp * (t_i_1d(ji,jk) + t_i_1d(ji,jk+1)) - rt0 )   &
@@ -264,5 +264,5 @@
             !
          ENDIF
-         ztcond_i(1:nidx,:) = MAX( zkimin, ztcond_i(1:nidx,:) )        
+         ztcond_i(1:npti,:) = MAX( zkimin, ztcond_i(1:npti,:) )        
          !
          !--- G(he) : enhancement of thermal conductivity in mono-category case
@@ -270,5 +270,5 @@
          ! Used in mono-category case only to simulate an ITD implicitly
          ! Fichefet and Morales Maqueda, JGR 1997
-         zghe(1:nidx) = 1._wp
+         zghe(1:npti) = 1._wp
          !
          SELECT CASE ( nn_monocat )
@@ -277,5 +277,5 @@
 
             zepsilon = 0.1_wp
-            DO ji = 1, nidx
+            DO ji = 1, npti
                zcnd_i = SUM( ztcond_i(ji,:) ) / REAL( nlay_i+1, wp )                             ! Mean sea ice thermal conductivity
                zhe = ( rn_cnd_s * h_i_1d(ji) + zcnd_i * h_s_1d(ji) ) / ( rn_cnd_s + zcnd_i )   ! Effective thickness he (zhe)
@@ -292,9 +292,9 @@
          !--- Snow
          DO jk = 0, nlay_s-1
-            DO ji = 1, nidx
+            DO ji = 1, npti
                zkappa_s(ji,jk) = zghe(ji) * rn_cnd_s * z1_h_s(ji)
             END DO
          END DO
-         DO ji = 1, nidx   ! Snow-ice interface
+         DO ji = 1, npti   ! Snow-ice interface
             zfac = 0.5_wp * ( ztcond_i(ji,0) * zh_s(ji) + rn_cnd_s * zh_i(ji) )
             IF( zfac > epsi10 ) THEN
@@ -307,9 +307,9 @@
          !--- Ice
          DO jk = 0, nlay_i
-            DO ji = 1, nidx
+            DO ji = 1, npti
                zkappa_i(ji,jk) = zghe(ji) * ztcond_i(ji,jk) * z1_h_i(ji)
             END DO
          END DO
-         DO ji = 1, nidx   ! Snow-ice interface
+         DO ji = 1, npti   ! Snow-ice interface
             zkappa_i(ji,0) = zkappa_s(ji,nlay_s) * isnow(ji) + zkappa_i(ji,0) * ( 1._wp - isnow(ji) )
          END DO
@@ -319,5 +319,5 @@
          !--------------------------------------
          DO jk = 1, nlay_i
-            DO ji = 1, nidx
+            DO ji = 1, npti
                zcpi = cpic + zgamma * sz_i_1d(ji,jk) / MAX( ( t_i_1d(ji,jk) - rt0 ) * ( ztiold(ji,jk) - rt0 ), epsi10 )
                zeta_i(ji,jk) = rdt_ice * r1_rhoic * z1_h_i(ji) / MAX( epsi10, zcpi ) 
@@ -326,5 +326,5 @@
 
          DO jk = 1, nlay_s
-            DO ji = 1, nidx
+            DO ji = 1, npti
                zeta_s(ji,jk) = rdt_ice * r1_rhosn * r1_cpic * z1_h_s(ji)
             END DO
@@ -335,5 +335,5 @@
          !----------------------------
          IF ( ln_dqns_i ) THEN 
-            DO ji = 1, nidx
+            DO ji = 1, npti
                ! update of the non solar flux according to the update in T_su
                qns_ice_1d(ji) = qns_ice_1d(ji) + dqns_ice_1d(ji) * ( t_su_1d(ji) - ztsub(ji) )
@@ -341,5 +341,5 @@
          ENDIF
 
-         DO ji = 1, nidx
+         DO ji = 1, npti
             zfnet(ji) = zfsw(ji) + qns_ice_1d(ji) ! incoming = net absorbed solar radiation + non solar total flux (LWup, LWdw, SH, LH)
          END DO
@@ -354,11 +354,11 @@
 
          !!ice interior terms (top equation has the same form as the others)
-         ztrid   (1:nidx,:,:) = 0._wp
-         zindterm(1:nidx,:)   = 0._wp
-         zindtbis(1:nidx,:)   = 0._wp
-         zdiagbis(1:nidx,:)   = 0._wp
+         ztrid   (1:npti,:,:) = 0._wp
+         zindterm(1:npti,:)   = 0._wp
+         zindtbis(1:npti,:)   = 0._wp
+         zdiagbis(1:npti,:)   = 0._wp
 
          DO jm = nlay_s + 2, nlay_s + nlay_i 
-            DO ji = 1, nidx
+            DO ji = 1, npti
                jk = jm - nlay_s - 1
                ztrid(ji,jm,1)  = - zeta_i(ji,jk) * zkappa_i(ji,jk-1)
@@ -370,5 +370,5 @@
 
          jm =  nlay_s + nlay_i + 1
-         DO ji = 1, nidx
+         DO ji = 1, npti
             !!ice bottom term
             ztrid(ji,jm,1)  = - zeta_i(ji,nlay_i)*zkappa_i(ji,nlay_i-1)   
@@ -380,5 +380,5 @@
 
 
-         DO ji = 1, nidx
+         DO ji = 1, npti
             !                               !---------------------!
             IF ( h_s_1d(ji) > 0.0 ) THEN   !  snow-covered cells !
@@ -497,5 +497,5 @@
          jm_maxt = 0
          jm_mint = nlay_i+5
-         DO ji = 1, nidx
+         DO ji = 1, npti
             jm_mint = MIN(jm_min(ji),jm_mint)
             jm_maxt = MAX(jm_max(ji),jm_maxt)
@@ -503,5 +503,5 @@
 
          DO jk = jm_mint+1, jm_maxt
-            DO ji = 1, nidx
+            DO ji = 1, npti
                jm = min(max(jm_min(ji)+1,jk),jm_max(ji))
                zdiagbis(ji,jm) = ztrid(ji,jm,2)  - ztrid(ji,jm,1) * ztrid(ji,jm-1,3)  / zdiagbis(ji,jm-1)
@@ -510,5 +510,5 @@
          END DO
 
-         DO ji = 1, nidx
+         DO ji = 1, npti
             ! ice temperatures
             t_i_1d(ji,nlay_i) = zindtbis(ji,jm_max(ji)) / zdiagbis(ji,jm_max(ji))
@@ -516,5 +516,5 @@
 
          DO jm = nlay_i + nlay_s, nlay_s + 2, -1
-            DO ji = 1, nidx
+            DO ji = 1, npti
                jk    =  jm - nlay_s - 1
                t_i_1d(ji,jk) = ( zindtbis(ji,jm) - ztrid(ji,jm,3) * t_i_1d(ji,jk+1) ) / zdiagbis(ji,jm)
@@ -522,5 +522,5 @@
          END DO
 
-         DO ji = 1, nidx
+         DO ji = 1, npti
             ! snow temperatures      
             IF( h_s_1d(ji) > 0._wp ) THEN
@@ -542,5 +542,5 @@
          ! zdti_max is a measure of error, it has to be under zdti_bnd
          zdti_max = 0._wp
-         DO ji = 1, nidx
+         DO ji = 1, npti
             t_su_1d(ji) = MAX( MIN( t_su_1d(ji) , rt0 ) , rt0 - 100._wp )
             zdti_max = MAX( zdti_max, ABS( t_su_1d(ji) - ztsub(ji) ) )     
@@ -548,5 +548,5 @@
 
          DO jk  =  1, nlay_s
-            DO ji = 1, nidx
+            DO ji = 1, npti
                t_s_1d(ji,jk) = MAX( MIN( t_s_1d(ji,jk), rt0 ), rt0 - 100._wp )
                zdti_max = MAX( zdti_max, ABS( t_s_1d(ji,jk) - ztsb(ji,jk) ) )
@@ -555,5 +555,5 @@
 
          DO jk  =  1, nlay_i
-            DO ji = 1, nidx
+            DO ji = 1, npti
                ztmelt_i      = -tmut * sz_i_1d(ji,jk) + rt0 
                t_i_1d(ji,jk) =  MAX( MIN( t_i_1d(ji,jk), ztmelt_i ), rt0 - 100._wp )
@@ -576,5 +576,5 @@
       ! 10) Fluxes at the interfaces
       !-----------------------------
-      DO ji = 1, nidx
+      DO ji = 1, npti
          !                                ! surface ice conduction flux
          fc_su(ji)   =  -           isnow(ji)   * zkappa_s(ji,0) * zg1s * (t_s_1d(ji,1) - t_su_1d(ji))   &
@@ -589,5 +589,5 @@
       ! --- diagnose the change in non-solar flux due to surface temperature change --- !
       IF ( ln_dqns_i ) THEN
-         DO ji = 1, nidx
+         DO ji = 1, npti
             hfx_err_dif_1d(ji) = hfx_err_dif_1d(ji) - ( qns_ice_1d(ji)  - zqns_ice_b(ji) ) * a_i_1d(ji) 
          END DO
@@ -597,5 +597,5 @@
       !     hfx_dif = Heat flux used to warm/cool ice in W.m-2
       !     zhfx_err = correction on the diagnosed heat flux due to non-convergence of the algorithm used to solve heat equation
-      DO ji = 1, nidx
+      DO ji = 1, npti
          zdq = - zq_ini(ji) + ( SUM( e_i_1d(ji,1:nlay_i) ) * h_i_1d(ji) * r1_nlay_i +  &
             &                   SUM( e_s_1d(ji,1:nlay_s) ) * h_s_1d(ji) * r1_nlay_s )
@@ -614,5 +614,5 @@
 
       ! --- Diagnostics SIMIP --- !
-      DO ji = 1, nidx
+      DO ji = 1, npti
          !--- Conduction fluxes (positive downwards)
          diag_fc_bo_1d(ji) = diag_fc_bo_1d(ji) + fc_bo_i(ji) * a_i_1d(ji) / at_i_1d(ji)
@@ -645,5 +645,5 @@
       !
       DO jk = 1, nlay_i             ! Sea ice energy of melting
-         DO ji = 1, nidx
+         DO ji = 1, npti
             ztmelts      = - tmut  * sz_i_1d(ji,jk)
             t_i_1d(ji,jk) = MIN( t_i_1d(ji,jk), ztmelts + rt0 ) ! Force t_i_1d to be lower than melting point
@@ -655,5 +655,5 @@
       END DO
       DO jk = 1, nlay_s             ! Snow energy of melting
-         DO ji = 1, nidx
+         DO ji = 1, npti
             e_s_1d(ji,jk) = rhosn * ( cpic * ( rt0 - t_s_1d(ji,jk) ) + lfus )
          END DO
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8564)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8565)
@@ -378,5 +378,5 @@
       CASE( 1 )       !  constant salinity in time and space  !
          !            !---------------------------------------!
-         sz_i_1d(1:nidx,:) = rn_icesal
+         sz_i_1d(1:npti,:) = rn_icesal
          !
          !            !---------------------------------------------!
@@ -387,10 +387,10 @@
          !
          !                                      ! Slope of the linear profile 
-         WHERE( h_i_1d(1:nidx) > epsi20 )   ;   z_slope_s(1:nidx) = 2._wp * s_i_1d(1:nidx) / h_i_1d(1:nidx)
-         ELSEWHERE                           ;   z_slope_s(1:nidx) = 0._wp
+         WHERE( h_i_1d(1:npti) > epsi20 )   ;   z_slope_s(1:npti) = 2._wp * s_i_1d(1:npti) / h_i_1d(1:npti)
+         ELSEWHERE                           ;   z_slope_s(1:npti) = 0._wp
          END WHERE
          
          z1_dS = 1._wp / ( zsi1 - zsi0 )
-         DO ji = 1, nidx
+         DO ji = 1, npti
             zalpha(ji) = MAX(  0._wp , MIN(  ( zsi1 - s_i_1d(ji) ) * z1_dS , 1._wp  )  )
             !                             ! force a constant profile when SSS too low (Baltic Sea)
@@ -400,5 +400,5 @@
          ! Computation of the profile
          DO jk = 1, nlay_i
-            DO ji = 1, nidx
+            DO ji = 1, npti
                !                          ! linear profile with 0 surface value
                zs0 = z_slope_s(ji) * ( REAL(jk,wp) - 0.5_wp ) * h_i_1d(ji) * r1_nlay_i
@@ -414,5 +414,5 @@
          !            !-------------------------------------------!                                   (mean = 2.30)
          !
-         s_i_1d(1:nidx) = 2.30_wp
+         s_i_1d(1:npti) = 2.30_wp
          !
 !!gm cf remark in ice_var_salprof routine, CASE( 3 )
@@ -420,5 +420,5 @@
             zargtemp  = ( REAL(jk,wp) - 0.5_wp ) * r1_nlay_i
             zsal =  1.6_wp * ( 1._wp - COS( rpi * zargtemp**( 0.407_wp / ( 0.573_wp + zargtemp ) ) ) )
-            DO ji = 1, nidx
+            DO ji = 1, npti
                sz_i_1d(ji,jk) = zsal
             END DO
